Uses Cfg

Type
        NLRec   = Record
        Zone    : String[5]
        Net     : String[5]
        Node    : String[5]
        Region  : String[10]
        BBS     : String[40]
        Loc     : String[40]
        Sysop   : String[40]
        Extra   : String[40]
        URL     : String[50]
	NTyp	: String[10]
End

Var Entry	: NLRec
Var NLFPtr	: File
Var NLPath	: String
Var Search	: String


Procedure ReadList
Var Done,Ok	: Boolean = False
Var Count	: Integer = 1
Begin
	fAssign(NLFPtr,NLPath,66)
	fReset(NLFPTR)
	ClrScr
	WriteLn('|06-|14[|11BBS Name|14]|06-------------------|14[|12Address|14]|06--------------------|14[|13Location|14]|06----------')
	If IOResult = 0 Then Begin
		While Not fEof(NLFPtr) And Not Done Do Begin
			fRead(NLFPtr,Entry,sizeOf(Entry))
			Ok:=True
			If Pos('NODE',Upper(Entry.NTyp)) = 0 	Then Ok:=False
			If Pos('INTERNET',Upper(Entry.BBS)) > 0 Then Ok:=False
			If Pos('HUB',Upper(Entry.BBS)) > 0 	Then Ok:=False
			If Pos('EMAIL',Upper(Entry.BBS)) > 0 	Then Ok:=False
			If Pos('ECHOMAIL',Upper(Entry.BBS)) > 0 Then Ok:=False
			If Pos('FIDONEWS',Upper(Entry.BBS)) > 0 Then Ok:=False
			If Pos('BACKBONE',Upper(Entry.BBS)) > 0 Then Ok:=False
			If Pos('ECHOLIST',Upper(Entry.BBS)) > 0 Then Ok:=False
			If Entry.URL = '' 			Then Ok:=False
			If Ok And Search <> '' Then Begin
				Search:=Upper(Search)
				If Pos(Search,Upper(Entry.BBS)) = 0 And Pos(Search,Upper(Entry.URL)) = 0 And Pos(Search,Upper(Entry.LOC)) = 0 Then Ok:=False
			End
			If Ok Then Begin
				WriteLn(' |11'+PadRt(Copy(Entry.BBS,1,28),28,' ')+' |12'+PadRt(Copy(Entry.URL,1,28),28,' ')+' |13'+Copy(Entry.Loc,1,20))
				Count:=Count+1
				If Count % 22 = 0 Then Begin
					If Not InputYN('::: More? ') Then Begin
						Done:=True
					End Else Begin
						ClrScr
						WriteLn('|06-|14[|11BBS Name|14]|06-------------------|14[|12Address|14]|06--------------------|14[|13Location|14]|06----------')
					End
				End
			End
		End
	End
	Pause
End

Begin
        MenuCmd('NA','FidoList')
        NLPath:=CfgDataPath+'nodelist.dat'
        If Not FileExist(NLPath) Then Begin
                WriteLn(NLPath+' not found.')
                WriteLn('Tell your sysop to run PARSENL to create it.')
                pause
        End Else Begin
		Write('|CR|11Search String |06(|14ENTER |11for |14ALL|06)|11: ')
		Search:=Input(40,40,1,'')
               	ReadList 
	End
End
